<div>
    <form [formGroup]="form" (ngSubmit)="guardar()">
      <div>
        <button mat-raised-button type="button" class="adicionar" (click)="agregar()">Adicionar</button>
      </div>
  
      <div>
        <div formArrayName="caja" *ngFor="let s of caja_contenido.controls; let i = index ">
          <mat-form-field appearance="fill" class="input">
            <mat-label>Nombre</mat-label>
            <input matInput #message maxlength="300" [formControlName]="i" required >
          </mat-form-field>
        </div>
  
        
        <mat-form-field appearance="fill" class="textarea">
          <textarea matInput cols="30" rows="7" > {{ caja_texto }} </textarea>
        </mat-form-field>
    
  
      </div>
  
      <div class="container-2">
  
        <div>
          <button mat-raised-button (click)="limpiar()" class="limpiar">Limpiar</button>
  
          <button mat-raised-button color="warn" (click)="borrar(this.caja_contenido.value.i)" type="button" class="eliminar">Eliminar</button>
  
          <br>
          <button mat-raised-button type="button" (click)="limpiarCaja()"  class="limpiar-2">Limpiar Caja De Texto</button>
        </div>
  
        <div>
          <button mat-raised-button (click)="guardar()" class="guardar" [disabled]="form.invalid">Guardar</button>
          <button mat-raised-button type="reset" type="reset" class="limpiar-1">Limpiar</button>
        </div>
  
      </div>
    </form>
  </div>
  
